This commit is contained in:
whottgen 2004-09-29 09:43:22 +00:00
parent c5b1209186
commit ef0b5d52f9
4 changed files with 224 additions and 2 deletions

211
smmapdfw/configure vendored
View File

@ -19075,6 +19075,217 @@ fi
fi
echo "$as_me:$LINENO: checking for __db_ndbm_open in -ldb" >&5
echo $ECHO_N "checking for __db_ndbm_open in -ldb... $ECHO_C" >&6
if test "${ac_cv_lib_db___db_ndbm_open+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-ldb $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char __db_ndbm_open ();
int
main ()
{
__db_ndbm_open ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_db___db_ndbm_open=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_lib_db___db_ndbm_open=no
fi
rm -f conftest.err conftest.$ac_objext \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
echo "$as_me:$LINENO: result: $ac_cv_lib_db___db_ndbm_open" >&5
echo "${ECHO_T}$ac_cv_lib_db___db_ndbm_open" >&6
if test $ac_cv_lib_db___db_ndbm_open = yes; then
LIBS="$LIBS -ldb"
else
echo "$as_me:$LINENO: checking for __db_ndbm_open in -ldb41" >&5
echo $ECHO_N "checking for __db_ndbm_open in -ldb41... $ECHO_C" >&6
if test "${ac_cv_lib_db41___db_ndbm_open+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-ldb41 $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char __db_ndbm_open ();
int
main ()
{
__db_ndbm_open ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_db41___db_ndbm_open=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_lib_db41___db_ndbm_open=no
fi
rm -f conftest.err conftest.$ac_objext \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
echo "$as_me:$LINENO: result: $ac_cv_lib_db41___db_ndbm_open" >&5
echo "${ECHO_T}$ac_cv_lib_db41___db_ndbm_open" >&6
if test $ac_cv_lib_db41___db_ndbm_open = yes; then
LIBS="$LIBS -ldb41"
else
echo "$as_me:$LINENO: checking for __db_ndbm_open in -ldb42" >&5
echo $ECHO_N "checking for __db_ndbm_open in -ldb42... $ECHO_C" >&6
if test "${ac_cv_lib_db42___db_ndbm_open+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-ldb42 $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char __db_ndbm_open ();
int
main ()
{
__db_ndbm_open ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_db42___db_ndbm_open=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_lib_db42___db_ndbm_open=no
fi
rm -f conftest.err conftest.$ac_objext \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
echo "$as_me:$LINENO: result: $ac_cv_lib_db42___db_ndbm_open" >&5
echo "${ECHO_T}$ac_cv_lib_db42___db_ndbm_open" >&6
if test $ac_cv_lib_db42___db_ndbm_open = yes; then
LIBS="$LIBS -ldb42"
else
{ { echo "$as_me:$LINENO: error: *** Berkeley DB not found" >&5
echo "$as_me: error: *** Berkeley DB not found" >&2;}
{ (exit 1); exit 1; }; }
fi
fi
fi
echo "$as_me:$LINENO: checking for inet_aton in -lresolv" >&5
echo $ECHO_N "checking for inet_aton in -lresolv... $ECHO_C" >&6

View File

@ -73,6 +73,17 @@ AC_CHECK_LIB(pthread, pthread_create,
)
)
AC_CHECK_LIB([db], [__db_ndbm_open],
[ LIBS="$LIBS -ldb" ],
AC_CHECK_LIB([db41], [__db_ndbm_open],
[ LIBS="$LIBS -ldb41" ],
AC_CHECK_LIB([db42], [__db_ndbm_open],
[ LIBS="$LIBS -ldb42" ],
[ AC_MSG_ERROR([*** Berkeley DB not found]) ]
)
)
)
AC_CHECK_LIB([resolv], [inet_aton])
AC_CHECK_LIB([socket], [connect])

View File

@ -1,5 +1,5 @@
lib_LTLIBRARIES = libverify_worker.la
libverify_worker_la_SOURCES = verify_worker.c
libverify_worker_la_LIBADD = ../../libsmmapdfw/libsmmapdfw.la -ldb
libverify_worker_la_LIBADD = ../../libsmmapdfw/libsmmapdfw.la
INCLUDES = -I../../libsmmapdfw

View File

@ -88,7 +88,7 @@ VERSION = @VERSION@
lib_LTLIBRARIES = libverify_worker.la
libverify_worker_la_SOURCES = verify_worker.c
libverify_worker_la_LIBADD = ../../libsmmapdfw/libsmmapdfw.la -ldb
libverify_worker_la_LIBADD = ../../libsmmapdfw/libsmmapdfw.la
INCLUDES = -I../../libsmmapdfw
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs